<html>
<head>
<title>Ogre::PlatformInformation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PlatformInformation.html">PlatformInformation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PlatformInformation Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PlatformInformation" -->
<p>Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on.  
 <a href="classOgre_1_1PlatformInformation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>&gt;</code></p>

<p><a href="classOgre_1_1PlatformInformation-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807">CpuFeatures</a> { <a class="el" href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807a1bea16c1677fe68834a2d76b968562d7">CPU_FEATURE_NONE</a> =  0
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing the different CPU features we want to check for, platform-dependent.  <a href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#af3e5caa8ce423770f2685cbb8deb71e5">getCpuIdentifier</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a string of the CPU identifier.  <a href="#af3e5caa8ce423770f2685cbb8deb71e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#aae9beb453c6df1f32ad9949536a3f40f">getCpuFeatures</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a or-masked of enum CpuFeatures that are supported by the CPU.  <a href="#aae9beb453c6df1f32ad9949536a3f40f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#ab397833e2f858920d32be590c714336a">hasCpuFeature</a> (<a class="el" href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807">CpuFeatures</a> feature)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether a specific feature is supported by the CPU.  <a href="#ab397833e2f858920d32be590c714336a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#ae04f524bd9f4e399eeb5307a39ab1f56">log</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *pLog)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the CPU information to the passed in <a class="el" href="classOgre_1_1Log.html">Log</a>.  <a href="#ae04f524bd9f4e399eeb5307a39ab1f56"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="namespaceOgre.html">Ogre</a> is designed to be platform-independent, but some platform and run-time environment specific optimised functions are built-in to maximise performance, and those special optimised routines are need to determine run-time environment for select variant executing path. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This class manages that provides a couple of functions to determine platform information of the run-time environment. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This class is supposed to use by advanced user only. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00143">143</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="af7f9306631264031789d89af0642a807"></a><!-- doxytag: member="Ogre::PlatformInformation::CpuFeatures" ref="af7f9306631264031789d89af0642a807" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807">Ogre::PlatformInformation::CpuFeatures</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum describing the different CPU features we want to check for, platform-dependent. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="af7f9306631264031789d89af0642a807a1bea16c1677fe68834a2d76b968562d7"></a><!-- doxytag: member="CPU_FEATURE_NONE" ref="af7f9306631264031789d89af0642a807a1bea16c1677fe68834a2d76b968562d7" args="" -->CPU_FEATURE_NONE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00148">148</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aae9beb453c6df1f32ad9949536a3f40f"></a><!-- doxytag: member="Ogre::PlatformInformation::getCpuFeatures" ref="aae9beb453c6df1f32ad9949536a3f40f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1PlatformInformation.html#aae9beb453c6df1f32ad9949536a3f40f">Ogre::PlatformInformation::getCpuFeatures</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a or-masked of enum CpuFeatures that are supported by the CPU. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div>
<a class="anchor" id="af3e5caa8ce423770f2685cbb8deb71e5"></a><!-- doxytag: member="Ogre::PlatformInformation::getCpuIdentifier" ref="af3e5caa8ce423770f2685cbb8deb71e5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PlatformInformation.html#af3e5caa8ce423770f2685cbb8deb71e5">Ogre::PlatformInformation::getCpuIdentifier</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a string of the CPU identifier. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div>
<a class="anchor" id="ab397833e2f858920d32be590c714336a"></a><!-- doxytag: member="Ogre::PlatformInformation::hasCpuFeature" ref="ab397833e2f858920d32be590c714336a" args="(CpuFeatures feature)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PlatformInformation.html#ab397833e2f858920d32be590c714336a">Ogre::PlatformInformation::hasCpuFeature</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PlatformInformation.html#af7f9306631264031789d89af0642a807">CpuFeatures</a>&#160;</td>
          <td class="paramname"><em>feature</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether a specific feature is supported by the CPU. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div>
<a class="anchor" id="ae04f524bd9f4e399eeb5307a39ab1f56"></a><!-- doxytag: member="Ogre::PlatformInformation::log" ref="ae04f524bd9f4e399eeb5307a39ab1f56" args="(Log *pLog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PlatformInformation.html#ae04f524bd9f4e399eeb5307a39ab1f56">Ogre::PlatformInformation::log</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td>
          <td class="paramname"><em>pLog</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Write the CPU information to the passed in <a class="el" href="classOgre_1_1Log.html">Log</a>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
